/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __BATTERYSETTINGS_H
#define __BATTERYSETTINGS_H

#include <dbsdsettings.h>

/** @brief DBSDSettings class managing all settings related to power management.
  *
  * @see DBSDSettings
  */
class BatterySettings : public DBSDSettings
{
public:
	bool isLowWarningEnabled();
	bool isCriticalWarningEnabled();
	bool setLowWarningEnabled(bool);
	bool setCriticalWarningEnabled(bool);

	int getLowWarningAt();
	int getCriticalWarningAt();
	bool setLowWarningAt(int);
	bool setCriticalWarningAt(int);
};

#endif

